<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_autoattend', language 'fr', branch 'MOODLE_25_STABLE'
 *
 * @package   block_autoattend
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['Aacronymfull'] = 'Toutes les présences';
$string['about'] = 'à propos';
$string['acronym'] = 'Acronyme';
$string['add'] = 'Ajouter';
$string['add_multi'] = 'Ajouter (multiple)';
$string['addmultiplesessions'] = 'Ajouter plusieurs sessions';
$string['add_one'] = 'Ajouter (une)';
$string['addsession'] = 'Ajouter une session';
$string['allclasses'] = 'Toutes les classes';
$string['allstudents'] = 'Tous les étudiants';
$string['alltaken'] = 'Toutes les prises';
$string['Amethod'] = 'A';
$string['Amethodfull'] = 'Automatique';
$string['attendance'] = 'Présence';
$string['attenderror'] = 'Il y a une ERREUR dans la prise de présence !';
$string['attendforsession'] = 'Présence pour la session de ce cours';
$string['attendforthecourse'] = 'Présence pour le cours';
$string['attendforuser'] = 'Présence des participants à ce cours';
$string['attendgrade'] = 'Note';
$string['attendgradeshort'] = 'N';
$string['attendkey'] = 'Mot-clé';
$string['attendkey_help'] = 'Lorsque la prise des présences se fait avec le mode semi-automatique, le mot-clé (alphabet) qu\'un étudiant doit saisir est spécifié. Lorsque vous cochez la case « clé aléatoire », une suite de cinq caractères en minuscule est générée automatiquement. <br />
Dans le cas d\'un mode manuel et automatique, le module n\'en tient pas compte.';
$string['attendnotstarted'] = 'La présence n\'a pas encore commencé pour ce cours';
$string['attendpercent'] = 'Pourcent';
$string['attendreport'] = 'Rapport de présence';
$string['attendsubmiterr'] = 'Une erreur s\'est produite à la saisie des présences';
$string['attendsubmitted'] = 'La présence a été saisie';
$string['attendsuccess'] = 'La présence a été prise avec succès';
$string['attendtable'] = 'Présences';
$string['attendupdated'] = 'La présence a été mise à jour avec succès';
$string['autoattend'] = 'Présence automatique';
$string['autoattendblock'] = 'Présence automatique';
$string['callmethod'] = 'Méthode utilisée';
$string['callstate'] = 'État';
$string['changeclass'] = 'Changer les classes';
$string['changesession'] = 'Changer les sessions';
$string['class_division'] = 'Classifications';
$string['classname'] = 'Nom des classes';
$string['class_settings'] = 'Réglages des classes';
$string['clearall'] = 'Tout désélectionner';
$string['correctuser'] = 'Corriger';
$string['courseidwrong'] = 'L\'ID du cours n\'est pas le bon';
$string['coursename'] = 'Nom du cours';
$string['createmultiplesessions'] = 'Créer des sessions multiples';
$string['createonesession'] = 'Créer une session';
$string['Cstate'] = 'T';
$string['Cstatefull'] = 'Terminé';
$string['defaults'] = 'Par défaut';
$string['delete'] = 'Supprimer';
$string['deleteconfirm'] = 'Voulez-vous vraiment supprimer ?';
$string['deleteconfirmclasses'] = 'Au moins une ou plusieurs classes ont déjà des présences de prises. <br />
Voulez-vous vraiment poursuivre la suppression ?';
$string['deleteok'] = 'Supprimer';
$string['deleteselect'] = 'Supprimer la sélection';
$string['deletesession'] = 'Supprimer la session';
$string['deletingclasses'] = 'Supprimer les classes du cours';
$string['deletingsession'] = 'Supprimer les sessions du cours';
$string['denysameip'] = 'Refuser la même IP';
$string['description'] = 'Description';
$string['display'] = 'Afficher';
$string['Dmethod'] = 'S';
$string['Dmethodfull'] = 'Sans méthode';
$string['downloadexcel'] = 'Télécharger en format Excel';
$string['downloadtext'] = 'Télécharger en format texte';
$string['Eacronym'] = 'E';
$string['Eacronymfull'] = 'Excusé';
$string['editsession'] = 'Modifier la session';
$string['endtime'] = 'Heure de fin';
$string['errorinaddingsession'] = 'Une erreur s\'est produite à l\'ajout d\'une session';
$string['erroringeneratingsessions'] = 'Une erreur s\'est produite à la création des sessions';
$string['everymonths'] = 'Tous les mois';
$string['everyweeks'] = 'Toutes les semaines';
$string['excludedstudents'] = 'Étudiants exclus';
$string['exclusion'] = 'Exclus';
$string['forprinting'] = 'Pour impression';
$string['friday'] = 'Ven';
$string['grade'] = 'N';
$string['grade_settings'] = 'Réglages des notes';
$string['hour'] = 'Heure';
$string['hourmin'] = 'Heure, Minute';
$string['indetail'] = 'Détails...';
$string['ip'] = 'IP';
$string['ipaddress'] = 'Adresse IP';
$string['iperrattention'] = 'Si vous utilisez proxy, merci de ne plus l\'utiliser pour votre présence.';
$string['iperroccur'] = 'Une erreur d\'adresse IP s\'est produite';
$string['ipresolv'] = 'Recherche inversée d\'URL de l\'adresse IP';
$string['ipresolv_desc'] = 'L\'URL par la recherche inversée de l\'adresse IP de l\'origine de la connexion de l\'étudiant est spécifiée. Une partie de l\'adresse IP est décrit comme %s';
$string['ipresolv_url'] = 'http://whois.arin.net/rest/nets;q=%s?showDetails=true';
$string['keyerrattention'] = 'Le mot-clé pour la présence n\'est pas le bon. Merci de vous faire confirmer le mot-clé par votre enseignant. <br /> Et essayez de nouveau !';
$string['keyerroccur'] = 'Une erreur de mot-clé de présence s\'est produite';
$string['keyword'] = 'Mot-clé';
$string['Lacronym'] = 'R';
$string['Lacronymfull'] = 'Retard';
$string['minute'] = 'Minute';
$string['mismatchip'] = 'Votre IP ne correspond pas aux IP autorisées. Votre IP est';
$string['mismatchkey'] = 'Le mot-clé ne correspond pas';
$string['missinfo'] = 'Il manque des informations obligatoires';
$string['Mmethod'] = 'M';
$string['Mmethodfull'] = 'Manuel';
$string['monday'] = 'Lun';
$string['months'] = 'Mois';
$string['myvariables'] = 'Réglages des notes';
$string['needkeyword'] = 'Cette prise de présence nécessite un mot-clé. Merci de saisir le mot-clé de présence.';
$string['nevererror'] = 'Aucune occurrence ERREUR !';
$string['newdate'] = 'Nouvelle date';
$string['newsessionendtime'] = 'Nouvelle heure de fin';
$string['newsessionlatetime'] = 'Nouveau délai de retard';
$string['newsessionmethod'] = 'Nouvelle méthode';
$string['newsessionstarttime'] = 'Nouvelle heure de début';
$string['noattforuser'] = 'Il n\'y a pas de présence pour ce participant';
$string['nodescription'] = 'rien';
$string['nonclass'] = 'Pas de classe';
$string['noofdaysabsent'] = 'Nombre de jours marqués comme absent';
$string['noofdaysexcused'] = 'Nombre de jours marqués comme excusé';
$string['noofdayslate'] = 'Nombre de jours marqués comme en retard';
$string['noofdayspresent'] = 'Nombre de jours marqués comme présent';
$string['nosessiondayselected'] = 'Pas de jour de session sélectionné';
$string['nosessionexists'] = 'Il n\'y a pas de session dans ce cours';
$string['nosuchsession'] = 'Aucune session dans ce cours';
$string['nosuchuser'] = 'Aucun participant dans ce cours';
$string['notaccessguest'] = 'Les invités ne peuvent pas accéder à cette page';
$string['notaccessnoteacher'] = 'Seul l\'enseignant peut accéder à cette page';
$string['notaccessstudent'] = 'Les étudiants ne peuvent pas accéder à cette page';
$string['notcallthis'] = 'Vous ne pouvez pas appeler ce script de cette façon';
$string['novalue'] = '-';
$string['nowtime'] = 'Heure actuelle';
$string['nowtime_help'] = 'Quand l\'heure affichée ne correspond pas à l\'heure actuelle, l\'heure indiquée dans ce bloc Présence est erronée. <br />
Cette erreur se produit lorsque l\'utilisateur est administrateur. Dans ce cas, merci de régler correctement le fuseau horaire de l\'utilisateur. <br />
Lorsque l\'heure d\'un utilisateur lambda (comme l\'enseignant) ne correspond pas, il s\'agit là, sans doute, d\'un bug. Merci de le signaler à l\'administrateur.';
$string['Nstate'] = 'N';
$string['Nstatefull'] = 'Non commencé';
$string['olddate'] = 'Ancienne date';
$string['oldsessionendtime'] = 'Ancienne heure de fin';
$string['oldsessionlatetime'] = 'Ancien délai de retard';
$string['oldsessionmethod'] = 'Ancienne méthode';
$string['oldsessionstarttime'] = 'Ancienne heure de début';
$string['Ostate'] = 'O';
$string['Ostatefull'] = 'Ouvert';
$string['output_idnumber'] = 'Export des numéros d\'identification des étudiants';
$string['output_idnumber_desc'] = 'Les numéros d\'identification des étudiants sont inclus dans le fichier téléversé.';
$string['Pacronym'] = 'P';
$string['Pacronymfull'] = 'Présent';
$string['period'] = 'Période';
$string['pluginname'] = 'Présence automatique';
$string['refreshdata'] = 'Actualiser';
$string['remarks'] = 'Remarques';
$string['report'] = 'Rapport';
$string['reqinfomiss'] = 'Des informations obligatoires sont manquantes';
$string['restoredefaults'] = 'Restaurer les paramètres par défaut';
$string['return'] = 'Retour';
$string['returnbutton'] = 'Retour';
$string['returnto_course'] = 'Retour';
$string['returntoN'] = 'Retourner à « Non démarré »';
$string['returntoNconfirm'] = 'Voulez-vous vraiment remettre la session à l\'état « Non démarré »';
$string['returntoNdesc'] = 'Même si vous remettez cette session à l\'état « Non démarré», les présences prises par le mode manuel et semi-automatique ne sont pas effacées.';
$string['sameusedip'] = 'Votre IP correspond aux autres IP utilisées. Votre IP est';
$string['saturday'] = 'Sam';
$string['sdaysmiss'] = 'Paramètre de jour manquant';
$string['selectall'] = 'Tout sélectionner';
$string['semiautoattend'] = 'Présence semi-automatique';
$string['semiautoconfirm'] = 'Vous pouvez saisir les présences des sessions ci-dessous. Voulez-vous saisir une présence ?';
$string['session'] = 'Session';
$string['sessionadded'] = 'Session ajoutée avec succès';
$string['sessionallowip'] = 'IP autorisées';
$string['sessionallowip_help'] = 'La plage d\'adresses IP du terminal qui permet la présence est donnée.
Le format de base est « la liste des adresse IP / masuqe de sous-réseau » séparée par un espace ou une virgule. Mais vous pouvez utiliser les formulaires suivants :
<br /><br />
* La notation de longueur du préfixe est également possible au lieu d\'un masuqe de sous-réseau.
<br /> 202.26.155.0/16 => 202.26.0.0/255.255.0.0
<br /><br />
* Quand une partie de l\'adresse IP est omise, elle est considérée comme 0.
<br /> 202.26./255.255.255.0 => 202.26.0.0/255.255.255.0
<br /><br />
* Quand une partie du masque de sous-réseau est omise, elle est considérée comme 0. <br /> 202.26.100.2/255.255. => 202.26.0.0/255.255.0.0 <br /> 202.26./255.255.255. => 202.26.0.0/255.255.255.0
<br /><br />
* Lorsque tous les masques de sous-réseau sont omis, la partie omise par l\'adresse IP est 0. <br />
202. => 202.0.0.0/255.0.0.0 <br /><br />';
$string['sessionalreadyexists'] = 'Une session existe déjà pour cette date';
$string['sessiondate'] = 'Date de session';
$string['sessiondays'] = 'Jours de session';
$string['sessiondeleted'] = 'Session effacée avec succès';
$string['sessionenddate'] = 'Jour de fin de session';
$string['sessionendtime'] = 'Heure de fin';
$string['sessionexist'] = 'Session non ajoutée (elle existe déjà) !';
$string['sessionlatetime'] = 'Délai de retard';
$string['sessionmethod'] = 'Méthode';
$string['sessionscompleted'] = 'Terminé';
$string['sessionsgenerated'] = 'Sessions crées avec succès';
$string['sessionsnogenerated'] = 'Il n\'y a pas de sessions crées';
$string['sessionstartdate'] = 'Heure de début de session';
$string['sessionstarttime'] = 'Heure de début';
$string['sessiontable'] = 'Sessions';
$string['sessionupdated'] = 'Sessions mises à jour avec succès';
$string['sessionupdateerror'] = 'Erreur de mise à jour de session';
$string['setrandomkey'] = 'Clé aléatoire';
$string['showdefaults'] = 'Afficher les détails';
$string['Smethod'] = 'S';
$string['Smethodfull'] = 'Semi-automatique';
$string['starttime'] = 'Heure de début';
$string['status'] = 'État';
$string['strftimedm'] = '%d.%m';
$string['strftimedmshort'] = '%d.%m';
$string['strftimedmy'] = '%d.%m.%Y';
$string['strftimedmyw'] = '%d.%m.%y&nbsp;(%a)';
$string['strftimefull'] = '%H:%M %d.%m.%Y';
$string['strftimehourmin'] = '%H:%M';
$string['strftimeshortdate'] = '%d.%m.%Y';
$string['studentid'] = 'ID de l\'étudiant';
$string['submitattend'] = 'Saisir les présences';
$string['submitok'] = 'Saisir';
$string['sunday'] = 'Dim';
$string['takeattendance'] = 'Prendre les présences';
$string['takemanualattend'] = 'Présence';
$string['thursday'] = 'Jeu';
$string['toNok'] = 'OK';
$string['toNtitle'] = 'à « Non démarré »';
$string['tuesday'] = 'Mar';
$string['unknownclass'] = 'Classe inconnue';
$string['update'] = 'Mettre à jour';
$string['updateordel'] = 'Mettre à jour ou Supprimer';
$string['updatesessionattend'] = 'Mettre à jour les présences de la session';
$string['updatesessioninfo'] = 'Mettre à jour les informations de la session';
$string['updateuserattend'] = 'Mettre à jour les présences des participants';
$string['use_timeoffset'] = 'Utilisez le décalage horaire du fuseau horaire';
$string['use_timeoffset_desc'] = 'Le décalage horaire du fuseau horaire est utilisée par l\'administrateur';
$string['variablesupdated'] = 'Les variables de notation ont été mises à jour avec succès';
$string['variablesupdateerror'] = 'Erreur de mise à jour des variables de notatino';
$string['wednesday'] = 'Mer';
$string['week'] = 'semaine(s)';
$string['weeks'] = 'Semaines';
$string['wiki_url'] = 'http://docs.moodle.org/25/en/Autoattendance_block';
$string['wrongdatesselected'] = 'Mauvaise date sélectionnée';
$string['wrongtimesselected'] = 'Mauvaise heure sélectinonée';
$string['Xacronym'] = 'A';
$string['Xacronymfull'] = 'Absent';
$string['Yacronym'] = 'S';
$string['Yacronymfull'] = 'Sans méthode';
$string['Zacronymfull'] = 'Absent ou sans méthode';
