<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'game', language 'fr', branch 'MOODLE_25_STABLE'
 *
 * @package   game
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allattempts'] = 'Toutes les tentatives';
$string['allstudents'] = 'Tous les étudiants $a';
$string['and'] = 'et';
$string['attempt'] = 'Tentative';
$string['attemptfirst'] = 'Première tentative';
$string['attemptgamenow'] = 'Jouer maintenant';
$string['attemptlast'] = 'Dernière tentative';
$string['attempts'] = 'Tentatives';
$string['attemptsonly'] = 'Ne montrer que les étudiants qui ont tenté';
$string['bookquiz_categories'] = 'Catégories';
$string['bookquiz_chapters'] = 'Chapitres';
$string['bookquiz_empty'] = 'Le livre est vide';
$string['bookquiz_import_odt'] = 'Importer à partir d\'un fichier OpenOffice (odt)';
$string['bookquiz_not_select_book'] = 'Vous n\'avez pas choisi de livre';
$string['bookquiz_questions'] = 'Associez une catégorie de questions à un sous-chapitre';
$string['bookquiz_subchapter'] = 'Créer un sous-chapitre';
$string['bottomtext'] = 'Texte au bas';
$string['completedon'] = 'Terminé le';
$string['continueattemptgame'] = 'Continuer une tentative précédente du jeu';
$string['cross_across'] = 'Across';
$string['cross_checkbutton'] = 'Vérifier le mot-croisé';
$string['cross_correct'] = 'correct';
$string['cross_corrects'] = 'corrects';
$string['cross_down'] = 'Bas';
$string['cross_endofgamebutton'] = 'Fin du mot-croisé';
$string['cross_error'] = 'erreur';
$string['cross_error_containsbadchars'] = 'Le mot contient des caractères incorrects';
$string['cross_errors'] = 'erreurs';
$string['cross_error_wordlength1'] = 'Le mot correct contient';
$string['cross_error_wordlength2'] = 'lettres.';
$string['cross_found_many'] = 'Trouvés';
$string['cross_found_one'] = 'Trouvé';
$string['cross_maxcols'] = 'Nombre maximum de colonnes du mot-croisé';
$string['cross_maxwords'] = 'Nombre de mots maximum du mot-croisé';
$string['cross_pleasewait'] = 'Attendez le chargement du mot-croisé';
$string['cross_welcome'] = '<h3>Bienvenue !</h3><p>Cliquez sur un mot pour commencer.</p>';
$string['deleteattemptcheck'] = 'Etes-vous sûr(e) de vouloir complètement effacer ces tentatives ?';
$string['displayoptions'] = 'Montrer les options';
$string['downloadods'] = 'Télécharger au format ODS';
$string['feedback'] = 'Rapports';
$string['feedbacks'] = 'Messages pour réponses correctes';
$string['finish'] = 'Fin du jeu';
$string['game_bookquiz'] = 'Livre de questions';
$string['game_cross'] = 'Mot-croisé';
$string['game_cryptex'] = 'Cryptex';
$string['game_hangman'] = 'Pendu';
$string['game_millionaire'] = 'Millionaire';
$string['game_snakes'] = 'Serpent et échelles';
$string['game_sudoku'] = 'Sudoku';
$string['grade'] = 'Note';
$string['gradeaverage'] = 'Note moyenne';
$string['gradehighest'] = 'Note maximale';
$string['grademethod'] = 'Méthode de notation';
$string['hangman_correct_phrase'] = 'La phrase correcte était :';
$string['hangman_correct_word'] = 'Le mot correct était :';
$string['hangman_gradeinstance'] = 'Note pour tout l\'ensemble';
$string['hangman_imageset'] = 'Choisissez les images du pendu';
$string['hangman_letters'] = 'Lettres :';
$string['hangman_loose'] = '<BIG><B>Jeu terminé</B></BIG>';
$string['hangman_maxtries'] = 'Nombre de mots par jeu';
$string['hangman_restletters_many'] = 'Vous avez effectué <b>{$a}</b> tentatives';
$string['hangman_restletters_one'] = 'Vous n\'avez <b>SEULEMENT QU\'UNE</b> tentative';
$string['hangman_showcorrectanswer'] = 'Montrer la réponse correcte après la fin du jeu';
$string['hangman_showfirst'] = 'Montrer la première lettre du pendu';
$string['hangman_showlast'] = 'Montrer la dernière lettre du pendu';
$string['hangman_showquestion'] = 'Montrer les questions ?';
$string['hangman_wrongnum'] = 'Non : %%d en dehors de %%d';
$string['info'] = 'Info';
$string['lastip'] = 'IP de l\'étudiant';
$string['letter'] = 'lettre';
$string['letters'] = 'lettres';
$string['lettersall'] = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
$string['millionaire_info_people'] = 'Les gens disent';
$string['millionaire_info_telephone'] = 'I think that the correct answer is';
$string['millionaire_info_wrong_answer'] = 'Vous avez donné une mauvaise réponse <br>La réponse correcte est :';
$string['millionaire_must_select_questioncategory'] = 'Vous devez choisir une catégorie de questions';
$string['millionaire_must_select_quiz'] = 'Vous devez choisir un test';
$string['millionaire_sourcemodule_must_quiz_question'] = 'Pour le jeu du millionaire, la source doit être {$a} ou questions et non';
$string['modulename'] = 'Jeu';
$string['modulenameplural'] = 'Jeux';
$string['must_select_glossary'] = 'Vous devez choisir un glossaire';
$string['must_select_questioncategory'] = 'Vous devez choisir une catégorie de questions';
$string['must_select_quiz'] = 'Vous devez choisir un test';
$string['nextgame'] = 'Nouveau jeu';
$string['nextword'] = 'Mot suivant';
$string['noattempts'] = 'Aucune tentative sur ce test';
$string['noattemptsonly'] = 'Montrer $a sans tentatives';
$string['no_words'] = 'Pas de mots';
$string['numattempts'] = '$a->studentnum $a->studentstring ont effectué $a->attemptnum tentative(s)';
$string['only_teachers'] = 'Seuls les enseignants peuvent voir cette page';
$string['outof'] = '{$a->grade} hors de la plage maximum de {$a->maxgrade}';
$string['pagesize'] = 'Questions par page :';
$string['pluginname'] = 'Jeu';
$string['preview'] = 'Prévisualisation';
$string['reattemptgame'] = 'Tenter à nouveau';
$string['reportoverview'] = 'Vue d\'ensemble';
$string['results'] = 'Resultats';
$string['review'] = 'Revue';
$string['reviewofattempt'] = 'Revue de la tentative {$a}';
$string['score'] = 'Score';
$string['selectall'] = 'Choisir tout';
$string['selectnone'] = 'Déselectionner tout';
$string['showanswers'] = 'Montrer les réponses';
$string['showdetailedmarks'] = 'Montrer les marques de détail';
$string['showsolution'] = 'solution';
$string['snakes_background'] = 'Arrière-plan';
$string['sourcemodule'] = 'Source des questions';
$string['sourcemodule_book'] = 'Choisissez un livre';
$string['sourcemodule_glossary'] = 'Choisissez un glossaire';
$string['sourcemodule_glossarycategory'] = 'Choisissez une catégorie ou un glossaire';
$string['sourcemodule_question'] = 'Questions';
$string['sourcemodule_questioncategory'] = 'Choisissez une catégorie de questions';
$string['sourcemodule_quiz'] = 'Choisissez un test';
$string['startagain'] = 'Démarrer à nouveau';
$string['startedon'] = 'Démarré le';
$string['sudoku_create_count'] = 'Nombre de sudokus a créer';
$string['sudoku_create_start'] = 'Création des sudokus...';
$string['sudoku_creating'] = 'Créer <b>{$a}</b> sudoku(s)';
$string['sudoku_finishattemptbutton'] = 'Fin du sudoku';
$string['sudoku_guessnumber'] = 'Devniez le nombre suivant';
$string['sudoku_maxquestions'] = 'Nombre maximum de questions';
$string['sudoku_noentriesfound'] = 'Aucun mot dans le glossaire';
$string['sudoku_submit'] = 'Enregistrer la réponse';
$string['timecompleted'] = 'Terminé';
$string['timefinish'] = 'Fin du jeu';
$string['timelastattempt'] = 'Dernière tentative';
$string['timestart'] = 'Démarrer';
$string['timetaken'] = 'Temps consomé';
$string['unfinished'] = 'ouvert';
$string['win'] = 'Bravo !!!';
$string['withselected'] = 'Avec les éléments sélectionnés';
$string['yourfinalgradeis'] = 'Votre note finale pour ce jeu est {$a}.';
