<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'questionnaire', language 'fr', branch 'MOODLE_25_STABLE'
 *
 * @package   questionnaire
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['action'] = 'Action';
$string['additionalinfo'] = 'Info supplémentaire';
$string['additionalinfo_help'] = 'Texte qui sera affiché en tête de la première page de ce questionnaire (consignes, etc.).';
$string['addnewquestion'] = 'Ajout d\'une question de type {$a}';
$string['addquestions'] = 'Ajouter des questions';
$string['addselqtype'] = 'Ajouter une question de ce type';
$string['alignment'] = 'Alignement des boutons radio';
$string['alignment_help'] = 'Par défaut les boutons radio sont disposés et alignés verticalement. Si vous avez des items relativements courts ou nombreux vous pouvez préférer les disposer horizontalement.';
$string['alignment_link'] = 'mod/questionnaire/questions#Radio_Buttons';
$string['all'] = 'Tout';
$string['alreadyfilled'] = 'Vous avez déjà répondu à ce questionnaire{$a}. Merci.';
$string['andaveragevalues'] = 'et moyenne des valeurs';
$string['anonymous'] = 'Anonyme';
$string['answerquestions'] = 'Répondre aux questions';
$string['attemptstillinprogress'] = 'En cours. Enregistré le :';
$string['autonumbering'] = 'Numérotation automatique';
$string['autonumbering_help'] = 'Numérotation automatique des questions (et des pages). Il peut être utile de désactiver la numérotation automatique dans les questionnaires qui comportent des questions à branchement conditionnel.';
$string['autonumberno'] = 'Ne pas numéroter les questions ni les pages';
$string['autonumberpages'] = 'Numéroter automatiquement les pages';
$string['autonumberpagesandquestions'] = 'Numéroter automatiquement les pages et les questions';
$string['autonumberquestions'] = 'Numéroter automatiquement les questions';
$string['average'] = 'Moyenne';
$string['averageposition'] = 'Position moyenne';
$string['averagerank'] = 'Rang moyen';
$string['bodytext'] = 'Corps de texte';
$string['boxesnbexact'] = 'exactement {$a} case(s).';
$string['boxesnbmax'] = 'un maximum de {$a} case(s).';
$string['boxesnbmin'] = 'un minimum de {$a} case(s).';
$string['boxesnbreq'] = 'Pour cette question vous devez cocher ';
$string['by'] = 'par';
$string['checkallradiobuttons'] = 'Veuillez cocher un bouton radio sur <em>chaque</em> ligne!';
$string['checkboxes'] = 'Cases à cocher';
$string['checkboxes_help'] = 'Entrez une option à cocher par ligne.';
$string['checkboxes_link'] = 'mod/questionnaire/questions#Check_Boxes';
$string['checkbreaksadded'] = 'De nouveaux sauts de page ont été automatiquement ajoutés aux positions:';
$string['checkbreaksok'] = 'Tous les sauts de page nécessaires sont présents.';
$string['checkbreaksremoved'] = 'Supprimé {$a} saut(s) de page inutiles.';
$string['checknotstarted'] = 'Sélectionner les tentatives non commencées';
$string['checkstarted'] = 'Sélectionner les tentatives commencées';
$string['clicktoswitch'] = '(cliquez pour modifier)';
$string['closed'] = 'Questionnaire fermé le {$a}. Merci.';
$string['closedate'] = 'Date de fermeture';
$string['closedate_help'] = 'Vous pouvez indiquer la date d\'ouverture et de fermeture d\'un questionnaire.
 Les étudiants ne peuvent répondre au questionnaire qu\'entre ces deux dates. En dehors de cette période, le questionnaire n\'est pas disponible.';
$string['completionsubmit'] = 'L\'étudiant doit soumettre ce questionnaire pour compléter l\'activité';
$string['confalts'] = '- OU - <br />Page de confirmation';
$string['confirmdelallresp'] = 'Voulez-vous vraiment supprimer TOUTES les réponses à ce questionnaire&nbsp;?';
$string['confirmdelchildren'] = 'Si vous supprimez cette question, ses questions "enfants" suivantes seront également supprimées:';
$string['confirmdelgroupresp'] = 'Voulez-vous vraiment supprimer toutes les réponses de {$a}?';
$string['confirmdelquestion'] = 'Êtes-vous certain de vouloir supprimer la question en position {$a}?';
$string['confirmdelquestionresps'] = 'Cette action supprimera également la ou les  {$a} réponse(s) déjà donnée(s) à cette question.';
$string['confirmdelresp'] = 'Voulez-vous vraiment supprimer les réponses de {$a}&nbsp;?';
$string['confpage'] = 'Titre';
$string['confpagedesc'] = 'Titre (en gras) et corps de texte pour la page de "Confirmation" affichée après qu\'un utilisateur a répondu au questionnaire. (Si vous donnez une adresse Web, elle sera affichée à la place du texte de confirmation).';
$string['confpage_help'] = 'Vous pouvez facultativement saisir un titre et un texte qui seront affichés lorsque l\'utilisateur aura répondu à ce questionnaire. Si vous spécifiez une adresse Web, celle-ci aura priorité sur la page de confirmation. Si vous laissez cette zone vide, un message par défaut s\'affichera, du genre "Merci d\'avoir répondu à ce questionnaire".';
$string['contentoptions'] = 'Options de contenu';
$string['couldnotcreatenewsurvey'] = 'Impossible de créer un nouveau questionnaire&nbsp;!';
$string['couldnotdelresp'] = 'Impossible d\'effacer les réponses.';
$string['createcontent'] = 'Définir un nouveau contenu';
$string['createcontent_help'] = 'Choisir l\'un des boutons radio de la liste. Défaut : "Créer un nouveau questionnaire".';
$string['createcontent_link'] = 'mod/questionnaire/mod#Content_Options';
$string['createnew'] = 'Créer un nouveau questionnaire';
$string['date'] = 'Date';
$string['dateformatting'] = '<em>Utilisez le format jour-mois-année, par exemple pour le 14 mars 1945:&nbsp; </em><span class = monospace>14-3-1945</monospace>';
$string['date_help'] = 'Utilisez ce type de question si vous voulez que la réponse soit donnée sous forme d\'une date correctement formatée.';
$string['date_link'] = 'mod/questionnaire/questions#Date';
$string['deleteallresponses'] = 'Effacer toutes les réponses';
$string['deletecurrentquestion'] = 'Supprimer la question {$a}';
$string['deletedallgroupresp'] = 'Toutes les réponses du groupe {$a} ont été effacées.';
$string['deletedallresp'] = 'Les réponses à ce questionnaire ont été supprimées';
$string['deletedisabled'] = 'Impossible de supprimer cet élément';
$string['deletedresp'] = 'Réponses supprimées.';
$string['deleteresp'] = 'Supprimer ces réponses';
$string['deletingresp'] = 'Suppression des réponses';
$string['dependquestion'] = 'Question "parent"';
$string['dependquestion_help'] = 'Vous pouvez sélectionner une question "parent" et une option (choix) pour cette question. Une question "enfant" ne sera affichée que si sa question "parent" et le "choix parent" ont été sélectionnés au préalable.';
$string['displaymethod'] = 'La méthode d\'affichage n\'est pas définie pour ce type de question.';
$string['download'] = 'Exporter les réponses au format texte/CSV';
$string['downloadtextformat'] = 'Download in text format';
$string['downloadtextformat_help'] = 'Si vous avez besoin de traiter les réponses à un questionnaire en dehors de Moodle dans un logiciel comme Excel, le tableur Calc d\'Open Office ou un logiciel de statistiques, vous pouvez exporter les données au format texte.';
$string['downloadtextformat_link'] = 'mod/questionnaire/report#Download_in_text_format';
$string['dropdown'] = 'Liste déroulante';
$string['dropdown_help'] = 'Il n\'y a aucun avantage à utiliser la question "liste déroulante" plutôt que la question "boutons radio"
sauf peut-être lorsque la liste d\'options est relativement longue, pour économiser de l\'espace.';
$string['dropdown_link'] = 'mod/questionnaire/questions#Dropdown_Box';
$string['edit'] = 'Modifier';
$string['editingquestionnaire'] = 'Modification du questionnaire  - page Générale';
$string['editquestion'] = 'Édition de la question {$a}';
$string['email'] = 'Courriel';
$string['errnewname'] = 'Désolé, ce nom est déjà pris. Saisissez un nouveau nom.';
$string['erroropening'] = 'Erreur d\'ouverture du questionnaire.';
$string['errortable'] = 'Erreur système (table corrompue).';
$string['essaybox'] = 'Texte long';
$string['essaybox_help'] = 'Affiche une boîte de texte non formatable de x colonnes (Nb de colonnes du texte) et de y lignes (Nb de lignes du texte).

Si vous laissez x et y à leur valeur par défaut de 0 (zéro), alors l\'éditeur HTML sera affiché
avec sa hauteur et sa largeur par défaut s\'il est disponible dans le contexte du cours et du profil de l\'utilisateur courant.';
$string['field'] = 'Question {$a}';
$string['fieldlength'] = 'Longueur de la boîte de texte';
$string['fieldlength_help'] = 'Affiche une boîte de texte d\'une seule ligne de hauteur, d\'une longueur de x caractères et
où la longueur maximale du texte saisi par le répondant est limitée à y caractères.

Valeurs par défaut : 20 caractères pour la longueur de la boîte [Longueur de la boîte de texte] et 25 caractères pour le texte effectivement saisi par le répondant [Longueur texte max.].';
$string['finished'] = 'Vous avez répondu à toutes les questions de ce questionnaire !';
$string['firstrespondent'] = 'Premier répondant';
$string['grade'] = 'Note pour ce questionnaire';
$string['gradesdeleted'] = 'Les notes à ce questionnaire ont été supprimées';
$string['headingtext'] = 'Titre';
$string['horizontal'] = 'Horizontal';
$string['id'] = 'ID';
$string['includechoicecodes'] = 'Inclure les numéros des réponses choisies';
$string['includechoicetext'] = 'Inclure le texte des réponses choisies';
$string['incorrectcourseid'] = 'Identificateur de cours incorrect';
$string['incorrectmodule'] = 'L\'identificateur du module de cours était incorrect';
$string['incorrectquestionnaire'] = 'Questionnaire incorrect';
$string['invalidresponse'] = 'Réponse non valide.';
$string['invalidresponserecord'] = 'Enregistrement de réponse non valide.';
$string['invalidsurveyid'] = 'Identificateur de questionnaire non valide.';
$string['kindofratescale'] = 'Type d\'échelle';
$string['kindofratescale_help'] = 'Cliquez droit sur le lien "Plus d\'aide" ci-dessous';
$string['kindofratescale_link'] = 'mod/questionnaire/questions#Type_of_rate_scale';
$string['lastrespondent'] = 'Dernier répondant';
$string['length'] = 'Longueur';
$string['managequestions'] = 'Gérer les questions';
$string['managequestions_help'] = 'Dans la section "Gérer les questions" de la page "Éditer les questions" vous pouvez effectuer toutes les opérations utiles sur les questions déjà crées.';
$string['maxdigitsallowed'] = 'Max. chiffres autorisés';
$string['maxdigitsallowed_help'] = 'Utilisez Max. chiffres autorisés pour limiter le nombre de chiffres entrés pour une question de type numérique.

Utilisez Nb de chiffres après la virgule pour forcer un certain nombre de chiffres après la virgule.';
$string['maxforcedresponses'] = 'Max. cases à cocher';
$string['maxtextlength'] = 'Longueur  texte max.';
$string['messageprovider:message'] = 'Rappel de réponse au questionnaire';
$string['minforcedresponses'] = 'Min. cases à cocher';
$string['minforcedresponses_help'] = 'Utilisez ces paramètres si vous voulez forcer les étudiants à cocher un minimum de **Min. cases à cocher** ou un maximum de **Max. cases à cocher**.
Pour les forcer à cocher un nombre exact de cases, tapez la même valeur pour **Min.** et **Max**. Si vous voulez uniquement forcer un minimum ou un maximum de cases cochées,
laissez l\'autre valeur à zéro. Ex. pour avoir un minimum de 2 cases cochées sur un total de 5, tapez **Min.** = 2 et laissez **Max.** à 0.
Si vous avez saisi pour l\'un ou l\'autre de ces paramètres une valeur différente de 0, si l\'étudiant ne respecte pas le nombre mini ou maxi imposé, un message d\'erreur sera affiché.
Evidemment, il vous appartient de préciser vos exigences dans le texte de la question!';
$string['misconfigured'] = 'Le cours est mal configuré.';
$string['missingquestion'] = 'Veuillez répondre à la question obligatoire';
$string['missingquestions'] = 'Veuillez répondre aux questions obligatoires :';
$string['modulename'] = 'Questionnaire';
$string['modulename_help'] = 'Le module « questionnaire » vous permet de créer des enquêtes utilisant divers types de questions, afin de collecter l\'opinion des utilisateurs.';
$string['modulenameplural'] = 'Questionnaires';
$string['movedisabled'] = 'Impossible de déplacer cet élément.';
$string['myresponses'] = 'Toutes vos réponses';
$string['myresponsetitle'] = 'Vos résultats pour {$a} réponses.';
$string['myresults'] = 'Vos résultats';
$string['name'] = 'Nom';
$string['navigate'] = 'Autoriser les questions à branchement conditionnel';
$string['navigate_help'] = 'Autoriser les questions de type Oui/Non et Boutons Radio à avoir des questions "enfant" dépendant de leurs choix dans ce questionnaire.';
$string['next'] = 'Suite';
$string['nextpage'] = 'Page suivante';
$string['noanswer'] = 'Sans réponse';
$string['nodata'] = 'Aucune donnée n\'a été envoyée.';
$string['noduplicates'] = 'Choix uniques';
$string['noduplicateschoiceserror'] = 'Vous devez entrer au moins 2 "réponses possibles" pour l\'option "Choix uniques"';
$string['noneinuse'] = 'Ce questionnaire ne contient aucune question.';
$string['non_respondents'] = 'Inscrits au cours qui n\'ont pas encore soumis leurs réponses à ce questionnaire';
$string['nopublicsurveys'] = 'Pas de questionnaires publics.';
$string['noresponsedata'] = 'Il n\'y a pas de réponses pour cette question.';
$string['noresponses'] = 'Pas de réponses';
$string['normal'] = 'Normal';
$string['notanumber'] = '<strong>{$a}</strong> n\'est pas un nombre.';
$string['notapplicable'] = 'NSP';
$string['notapplicablecolumn'] = 'Colonne NSP';
$string['notavail'] = 'Ce questionnaire n\'est pas encore disponible. Réessayez plus tard.';
$string['noteligible'] = 'Vous n\'êtes pas autorisé à répondre à ce questionnaire.';
$string['notemplatesurveys'] = 'Pas de modèles de questionnaires.';
$string['notenoughscaleitems'] = 'Vous devez entrer au minimum 2 items sur cette échelle.';
$string['notopen'] = 'Ce questionnaire ne sera pas disponible avant le {$a}.';
$string['notrequired'] = 'Réponse facultative';
$string['not_started'] = 'pas commencé';
$string['num'] = 'n°';
$string['numberfloat'] = 'Le nombre que vous avez tapé<strong>{$a->number}</strong> a été reformaté/arrondi avec une précision de <strong>{$a->precision}</strong> chiffres après la virgule.';
$string['numberofdecimaldigits'] = 'Nb de chiffres après la virgule';
$string['numberscaleitems'] = 'Nb d\'items sur l\'échelle';
$string['numberscaleitems_help'] = 'Nb d\'items sur l\'échelle indique le nombre d\'items qui seront affichés sur votre échelle horizontale. Une valeur comprise entre 3 et 5 est habituelle. La valeur par défaut est de 5.';
$string['numeric'] = 'Numérique';
$string['numeric_help'] = 'Utilisez ce type de question si vous voulez que la réponse soit donnée sous forme d\'un nombre correctement formaté.';
$string['of'] = 'de';
$string['opendate'] = 'Date d\'ouverture';
$string['opendate_help'] = 'Vous pouvez indiquer la date d\'ouverture et de fermeture d\'un questionnaire.

Les étudiants ne peuvent répondre au questionnaire qu\'entre ces deux dates. En dehors de cette période, le questionnaire n\'est pas disponible.';
$string['option'] = 'option {$a}';
$string['optionalname'] = 'Nom de la question';
$string['optionalname_help'] = 'Le **nom de la question** est seulement utilisé lors de l\'exportation des données au format CSV/Excel.
Si vous ne faites jamais d\'export de ce type, vous n\'avez pas besoin d\'entrer un nom de question.
 Pour plus de détails voir la documentation ci-dessous.';
$string['optionalname_link'] = 'mod/questionnaire/questions#Question_Name';
$string['or'] = '- OU -';
$string['order_ascending'] = 'Ordre ascendant';
$string['order_default'] = 'Ordre normal';
$string['order_descending'] = 'Ordre descendant';
$string['orderresponses'] = 'Ordonner les réponses';
$string['orderresponses_help'] = 'Lorsque vous affichez Toutes les Réponses, vous pouvez ordonner les choix par nombre de réponses (colonne "Rang Moyen")
pour les 4 types de questions suivants.

* bouton radio (QCM à choix unique)
* liste déroulante (QCM à choix unique)
* cases à cocher (QCM à choix multiple)
* questions de type Echelle de Likert.

Lorsque vous arrivez sur la page Toutes les réponses, par défaut toutes les réponses sont triées dans l\'ordre où les choix ont été entrés lors de la création des questions. Vous pouvez alors effectuer des tris par ordre descendant ou ascendant.';
$string['orderresponses_link'] = 'mod/questionnaire/report#Order_Responses';
$string['osgood'] = 'Osgood';
$string['other'] = 'Autre :';
$string['otherempty'] = 'Si vous cochez ce choix vous devez taper du texte dans la case de texte!';
$string['overviewnumresplog'] = 'réponses';
$string['overviewnumresplog1'] = 'réponse';
$string['overviewnumrespvw'] = 'réponses';
$string['overviewnumrespvw1'] = 'réponse';
$string['owner'] = 'Propriétaire';
$string['page'] = 'Page';
$string['pageof'] = 'Page {$a->page} sur {$a->totpages}';
$string['pluginadministration'] = 'Administration du questionnaire';
$string['pluginname'] = 'Questionnaire';
$string['position'] = 'position';
$string['possibleanswers'] = 'Réponses possibles.';
$string['posteddata'] = 'Cette page a été atteinte avec les données suivantes :';
$string['preview'] = 'Ceci est une prévisualisation de votre questionnaire. Quand vous aurez terminé votre prévisualisation, cliquez sur le bouton <strong>Fermer cette fenêtre</strong> tout en bas.';
$string['previewing'] = 'Prévisualisation du questionnaire';
$string['preview_label'] = 'Prévisualisation';
$string['preview_questionnaire'] = 'Prévisualisation du Questionnaire';
$string['previous'] = 'Précédent';
$string['previouspage'] = 'Page précédente';
$string['print'] = 'Imprimer';
$string['printblank'] = 'Imprimer un questionnaire vierge';
$string['printblanktooltip'] = 'Ouvrir une fenêtre formatée pour l\'impression d\'un questionnaire vierge.';
$string['printtooltip'] = 'Ouvrir une fenêtre formatée pour l\'impression des réponses en cours.';
$string['private'] = 'Privé';
$string['public'] = 'Public';
$string['qtype'] = 'Fréquence de participation';
$string['qtypedaily'] = 'répondre tous les jours';
$string['qtype_help'] = 'Ce paramètre vous permet de définir si les étudiants pourront répondre au questionnaire une seule fois, une fois par jour, par semaine, par mois ou un nombre illimité de fois.';
$string['qtypemonthly'] = 'répondre tous les mois';
$string['qtypeonce'] = 'répondre une fois seulement';
$string['qtypeunlimited'] = 'répondre un nombre illimité de fois';
$string['qtypeweekly'] = 'répondre chaque semaine';
$string['questionnaire:addinstance'] = 'Ajouter un questionnaire';
$string['questionnaireadministration'] = 'Administration du questionnaire';
$string['questionnairecloses'] = 'Fermeture du questionnaire';
$string['questionnaire:copysurveys'] = 'Copier des questionnaires Modèles et Privés';
$string['questionnaire:createpublic'] = 'Créer des questionnaires Public';
$string['questionnaire:createtemplates'] = 'Créer des questionnaires Modèle';
$string['questionnaire:deleteresponses'] = 'Supprimer toutes les réponses';
$string['questionnaire:downloadresponses'] = 'Exporter les réponses au format texte/CSV';
$string['questionnaire:editquestions'] = 'Créer et modifier des questions de questionnaire';
$string['questionnaire:manage'] = 'Créer et modifier des questionnaires';
$string['questionnaireopens'] = 'Ouverture du questionnaire';
$string['questionnaire:preview'] = 'Prévisualiser les questionnaires';
$string['questionnaire:printblank'] = 'Imprimer un questionnaire vierge';
$string['questionnaire:readallresponseanytime'] = 'Voir toutes les réponses tout le temps';
$string['questionnaire:readallresponses'] = 'Voir les Résumés de réponses en fonction des dates d\'ouverture du questionnaire';
$string['questionnaire:readownresponses'] = 'Voir ses propres réponses';
$string['questionnairereport'] = 'Rapport de questionnaire';
$string['questionnaire:submit'] = 'Répondre à un questionnaire et l\'envoyer';
$string['questionnaire:view'] = 'Voir un questionnaire';
$string['questionnaire:viewsingleresponse'] = 'Voir les réponses individuelles';
$string['questionnum'] = 'Question n°';
$string['questions'] = 'Questions';
$string['questiontypes'] = 'Types de questions';
$string['questiontypes_help'] = 'Voir la documentation ci-dessous.';
$string['questiontypes_link'] = 'mod/questionnaire/questions#Question_Types';
$string['radiobuttons'] = 'Boutons radio';
$string['radiobuttons_help'] = 'Type de question à choix multiple et à réponse unique.';
$string['radiobuttons_link'] = 'mod/questionnaire/questions#Radio_Buttons';
$string['rank'] = 'Rang';
$string['ratescale'] = 'Échelle de Likert';
$string['ratescale_help'] = 'Voir la documentation ci-dessous.';
$string['ratescale_link'] = 'mod/questionnaire/questions#Rate_.28scale_1..5.29';
$string['realm'] = 'Type de questionnaire';
$string['realm_help'] = '* **Il existe 3 types de questionnaires :**
 * Privé - appartient seulement au cours dans lequel il a été créé.
 * Modèle - peut être copié et modifié.
 * Public - peut être partagé entre plusieurs cours.';
$string['realm_link'] = 'mod/questionnaire/qsettings#Questionnaire_Type';
$string['redirecturl'] = 'L\'URL vers laquelle l\'utilisateur sera redirigé après avoir répondu au questionnaire.';
$string['remove'] = 'Supprimer';
$string['removeallquestionnaireattempts'] = 'Supprimer toutes les réponses à ce questionnaire';
$string['required'] = 'Réponse obligatoire';
$string['required_help'] = 'Si vous sélectionnez **Oui**, la question sera obligatoire,
c\'est-à-dire que le répondant ne pourra pas soumettre le questionnaire sans y avoir répondu.';
$string['required_link'] = 'mod/questionnaire/questions#Response_Required';
$string['requiredparameter'] = 'Un paramètre obligatoire manque.';
$string['reset'] = 'Réinitialiser';
$string['respeligiblerepl'] = '(remplacé par la gestion des rôles)';
$string['respondent'] = 'Nom';
$string['respondenteligibleall'] = 'Tout le monde';
$string['respondenteligiblestudents'] = 'Les étudiants seulement';
$string['respondenteligibleteachers'] = 'Les professeurs seulement';
$string['respondents'] = 'Répondants';
$string['respondenttype'] = 'Anonyme ou nominatif ?';
$string['respondenttypeanonymous'] = 'anonyme';
$string['respondenttypefullname'] = 'nominatif';
$string['respondenttype_help'] = 'Vous pouvez ici choisir si le nom de l\'étudiant sera affiché ou non lorsque vous visualiserez les réponses à ce questionnaire.  Si non, le mot **Anonyme** sera affiché.
Note : si votre cours Moodle autorise l\'accès aux visiteurs anonymes, ils pourront répondre à un questionnaire seulement si l\'option anonyme a été choisie pour ce questionnaire.';
$string['respondenttype_link'] = 'mod/questionnaire/mod#Respondent_Type';
$string['response'] = 'Réponse';
$string['responseoptions'] = 'Options des réponses';
$string['responses'] = 'Réponses';
$string['responseview'] = 'Les étudiants peuvent voir TOUTES les réponses';
$string['responseview_help'] = 'Vous pouvez paramétrer si les étudiants auront le droit de voir les réponses de leurs camarades (tableau statistique général).';
$string['responseview_link'] = 'mod/questionnaire/mod#Response_viewing';
$string['responseviewstudentsalways'] = 'Toujours';
$string['responseviewstudentsnever'] = 'Jamais';
$string['responseviewstudentswhenanswered'] = 'Après avoir répondu au questionnaire';
$string['responseviewstudentswhenclosed'] = 'Après la fermeture du questionnaire';
$string['restrictedtoteacher'] = 'Ces fonctions sont réservées aux enseignants avec des droits d\'édition !';
$string['resume'] = 'Sauvegarder & Reprendre';
$string['resume_help'] = 'Cette option permet aux étudiants de sauvegarder leurs réponses à un questionnaire avant de les soumettre. Les étudiants peuvent commencer à répondre, sauvegarder l\'état d\'avancement, et reprendre le questionnaire plus tard à leur convenance, pour reprendre au point où ils en étaient. Ceci peut se révéler utile pour un questionnaire particulièrement long.';
$string['resume_link'] = 'mod/questionnaire/mod#Save.2FResume_answers';
$string['resumesurvey'] = 'Poursuivre le questionnaire';
$string['return'] = 'Retour';
$string['save'] = 'Sauvegarder';
$string['saveasnew'] = 'Enregistrer comme nouvelle question';
$string['savedprogress'] = 'Vos réponses ont été sauvegardées. Vous pouvez reprendre ce questionnaire pour le compléter à tout moment.';
$string['saveeditedquestion'] = 'Enregistrer la question {$a}';
$string['savesettings'] = 'Enregistrer les paramètres';
$string['section'] = 'Description';
$string['sectionbreak'] = '----- Saut de page-----';
$string['sectionbreak_help'] = '----- Saut de page -----';
$string['sectiontext'] = 'Description';
$string['sectiontext_help'] = 'Ceci n\'est pas une question mais un bref texte par ex. pour introduire une série de quesions.';
$string['selecttheme'] = 'Choisissez un thème (CSS) pour ce questionnaire.';
$string['send'] = 'Envoyer';
$string['sendemail'] = 'Envoyer une copie par courriel.';
$string['sendemail_help'] = 'Envoyer une copie de chaque questionnaire rempli à cette adresse.
Vous pouvez saisir plusieurs adresses, séparées par une virgule.
(laissez vide si vous ne souhaitez pas recevoir de courriel).';
$string['send_message'] = 'Envoyer un message aux utilisateurs sélectionnés';
$string['settings'] = 'Paramètres';
$string['settingssaved'] = 'Paramètres enregistrés.';
$string['show_nonrespondents'] = 'Afficher les utilisateurs n\'ayant pas répondu';
$string['started'] = 'commencé';
$string['strfdate'] = '%d-%m-%Y';
$string['strfdateformatcsv'] = 'd/m/Y H:i:s';
$string['subject'] = 'Sujet';
$string['submitoptions'] = 'Options d\'envoi du questionnaire';
$string['submitpreview'] = 'Soumettre cette prévisualisation';
$string['submitpreviewcorrect'] = 'Cette soumission serait acceptée comme correctement remplie.';
$string['submitsurvey'] = 'Envoyer le questionnaire';
$string['submitted'] = 'Soumis le :';
$string['subtitle'] = 'Sous-titre';
$string['subtitle_help'] = 'Ce sous-titre (facultatif) n\'apparait que sur la 1ère page du questionnaire (si celui-ci comporte plusieurs pages).';
$string['summary'] = 'Résumé';
$string['surveynotexists'] = 'Le questionnaire n\'existe pas.';
$string['surveyowner'] = 'Seuls les propriétaires de ce questionnaire sont autorisés à effectuer cette opération.';
$string['surveyresponse'] = 'Réponse du questionnaire';
$string['template'] = 'Modèle';
$string['templatenotviewable'] = 'Vous ne pouvez pas afficher les questionnaires de type "modèle".';
$string['text'] = 'Texte';
$string['textareacolumns'] = 'Nb de colonnes du texte';
$string['textareacolumns_help'] = 'Affiche une boîte de texte non formatable de x colonnes (Nb de colonnes du texte) et de y lignes (Nb de lignes du texte).

Si vous laissez x et y à leur valeur par défaut de 0 (zéro), alors l\'éditeur HTML sera affiché avec sa hauteur et sa largeur par défaut s\'il est disponible dans le contexte du cours et du profil de l\'utilisateur courant.';
$string['textarearows'] = 'Nb de lignes du texte';
$string['textbox'] = 'Texte court';
$string['textbox_help'] = 'Entrez la longueur de la fenêtre de saisie ainsi que la longueur maximum du texte entré.
Les valeurs par défaut sont de 20 caractères pour la longueur de la fenêtre de saisie et de 25 caractères pour la longueur maximum du texte entré.';
$string['textdownloadoptions'] = 'Options pour l\'export des réponses aux questions de type bouton radio';
$string['thank_head'] = 'Merci d\'avoir répondu à ce questionnaire.';
$string['theme'] = 'Thème';
$string['thismonth'] = 'ce mois';
$string['thisweek'] = 'cette semaine';
$string['title'] = 'Titre';
$string['title_help'] = 'Titre du questionnaire, qui s\'affichera en haut de chaque page. Par défaut ce titre est le même que le Nom du questionnaire.';
$string['today'] = 'aujourdhui';
$string['total'] = 'Total';
$string['type'] = 'Type de question';
$string['undefinedquestiontype'] = 'Type de question inconnu&nbsp;!';
$string['unknown'] = 'Inconnu';
$string['unknownaction'] = 'Action inconnue...';
$string['url'] = 'URL';
$string['url_help'] = 'Adresse vers laquelle rediriger l\'étudiant après qu\'il ait soumis ses réponses.';
$string['usepublic'] = 'Utiliser un questionnaire public';
$string['usetemplate'] = 'Copier un questionnaire existant';
$string['vertical'] = 'Vertical';
$string['view'] = 'Voir';
$string['viewallresponses'] = 'Voir toutes les réponses';
$string['viewallresponses_help'] = 'Si le questionnaire est paramétré pour **Type des groupes** : *Groupes visibles*, ou *Groupes séparés* et que l\'utilisateur actuel possède la capacité *Accéder à tous les groupes* (dans le contexte actuel) et que des groupes d\'utilisateurs ont été définis dans le cours actuel, alors l\'utilisateur a accès à une liste déroulante
des groupes existants. Cette liste déroulante lui permet de "filtrer" les réponses au questionnaire par groupes.';
$string['viewallresponses_link'] = 'Voir_les_réponses#Filtrer_par_groupes';
$string['viewbyresponse'] = 'Liste des réponses';
$string['viewindividualresponse'] = 'Voir les réponses individuelles';
$string['viewindividualresponse_help'] = 'Cliquez sur les noms des répondants dans la liste ci-dessous pour voir leurs réponses individuelles.';
$string['viewresponses'] = 'Toutes les réponses ({$a})';
$string['viewyourresponses'] = 'Vos réponses : voir {$a}';
$string['warning'] = 'ATTENTION ! erreur rencontrée.';
$string['wronganswers'] = 'Il y a une erreur dans vos réponses (voir ci-dessous)';
$string['wrongdateformat'] = 'Le format de la date entrée <strong>{$a}</strong> ne correspond pas au format montré dans l\'exemple.';
$string['wrongdaterange'] = 'ERREUR ! L\'année doit se situer entre 1902 et 2037.';
$string['wrongformat'] = 'Il y a une erreur avec votre réponse à la question :';
$string['wrongformats'] = 'Il y a une erreur avec votre réponse aux questions :';
$string['yesno'] = 'Oui/Non';
$string['yesno_help'] = 'Simple question à réponse **Oui** ou **Non**.';
$string['yourresponses'] = 'Vos réponses';
