<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_formal_white', language 'fr', branch 'MOODLE_25_STABLE'
 *
 * @package   theme_formal_white
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['blockcolumnwidth'] = 'Largeur des colonnes des blocs';
$string['blockcolumnwidthdesc'] = 'Spécifie la largeur des colonnes de blocs pour le thème. <strong>Le bloc calendrier ne tiendra pas si une largeur de moins de 200px (blockcolumnwidth - 2*blockpadding) est indiquée.</strong>';
$string['blockcontentbgc'] = 'Couleur de fond du contenu des blocs';
$string['blockcontentbgcdesc'] = 'Spécifie la couleur de fond du contenu des blocs du thème.';
$string['blockpadding'] = 'Marge autour des blocs';
$string['blockpaddingdesc'] = 'Ce réglage détermine la marge entre les blocs et la colonne qui les contient.';
$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot"><h2>Formal White</h2><img src="formal_white/pix/screenshot.gif" /><h3>Forum de discussion sur les thèmes</h3><p><a href="http://moodle.org/mod/forum/view.php?id=46">http://moodle.org/mod/forum/view.php?id=46</a></p><h3>Crédits des thèmes</h3><p><a href="http://docs.moodle.org/en/Theme_credits">http://docs.moodle.org/en/Theme_credits</a></p><h3>Documentation sur les thèmes</h3><p><a href="http://docs.moodle.org/en/Themes">http://docs.moodle.org/en/Themes</a></p><h3>Annoncer un bogue</h3><p><a href="http://tracker.moodle.org">http://tracker.moodle.org</a></p></div><div class="theme_description"><h2>À propos</h2><p>Formal White est un thème à trois colonnes, largeur fluide, adapté depuis Moodle 1.x pour Moodle 2.0.</p><h2>Modifications</h2><p>Ce thème est bâti sur Base et Canvas, deux thèmes inclus dans Moodle. Si vous voulez le modifier, nous recommandons que vous le dupliquiez d\'abord, puis le renommiez avant de faire vos changements. Ce permettra d\'éviter que vos modifications ne soient écrasées lors de futures mises à jour de Moodle, et vous conserverez ainsi les fichiers originaux, au cas où vous feriez des erreurs. Plus d\'informations sur la modification des thèmes se trouve sur <a href="http://docs.moodle.org/en/Theme">MoodleDocs</a>.</p><h2>Credits</h2><p>Ce thème a été codé et est maintenu par MediaTouch 2000.</p><h2>Licence</h2><p>Ce thème, ainsi que tous les autres thèmes inclus dans Moodle, est publié sous la <a href="http://www.gnu.org/licenses/gpl.html">Licence Publique Générale GNU</a>.</p></div></div>';
$string['configtitle'] = 'Thème Formal white';
$string['creditstomoodleorg'] = 'Afficher les crédits de Moodle.org';
$string['creditstomoodleorgdesc'] = 'Afficher le petit logo habituel de Moodle en bas de page';
$string['ctmo_ineverypage'] = 'Sur chaque page';
$string['ctmo_no'] = 'Jamais';
$string['ctmo_onfrontpageonly'] = 'Sur la page d\'accueil seulement';
$string['customcss'] = 'CSS personnalisée';
$string['customcssdesc'] = 'Les règles CSS que vous définissez ici seront ajoutées à chacune des pages, vous permettant ainsi de personnaliser facilement ce thème. Par exemple, il est possible de modifier la couleur des liens en ajoutant une ou plusieurs des règles suivantes :
<pre>a:link, a:visited, a:hover, a:active, a:focus {color:blue;}</pre>
N\'oubliez pas d\'ajuster les couleurs et règles CSS à vos besoins.';
$string['customlogourl'] = 'Logo personnalisé';
$string['customlogourldesc'] = 'Changer le logo de votre site en saisissant l\'URL complète ou relative d\'une image que vous voulez utiliser pour cela (par exemple http://www.monsite.ch/monbeaulogo.png ou ../chemin/vers/mon/beau/logo.png). Le logo par défaut a une largeur de 200px pour une hauteur de 50px. Une image .png avec transparence fonctionnera le mieux.';
$string['displayheading'] = 'Afficher l\'entête de page';
$string['displaylogo'] = 'Afficher le logo';
$string['fontsizereference'] = 'Corps de référence';
$string['fontsizereferencedesc'] = 'Ce réglage permet de définir le corps de police par défaut pour ce thème. Il n\'est pas recommandé de le fixer à plus de 13px, des problèmes d\'affichage de certains bloc pouvant survenir dans ce cas.';
$string['footnote'] = 'Pied de page';
$string['footnotedesc'] = 'Le contenu de ce champ sera affiché dans le pied-de-page de chaque page.';
$string['framemargin'] = 'Marge du cadre';
$string['framemargindesc'] = 'Espace entre le cadre et les bords de la fenêtre du navigateur (ce réglage sera ignoré si « {$a} » est demandé.';
$string['frontpagelogourl'] = 'Logo personnalisé pour la page d\'accueil';
$string['frontpagelogourldesc'] = 'Changer le logo affiché sur la page d\'accueil de votre site en saisissant l\'URL complète ou relative d\'une image que vous voulez utiliser pour cela. Ce réglage a précédence sur le réglage du logo personnalisé. Le logo par défaut a une largeur de 300px pour une hauteur de 80px. Une image .png avec transparence fonctionnera le mieux.';
$string['headerbgc'] = 'Couleur de fond de l\'entête';
$string['headerbgcdesc'] = 'Ce réglage définit la couleur de fond de l\'entête des blocs pour ce thème.';
$string['headercontent'] = 'Contenu de l\'entête';
$string['headercontentdesc'] = 'Détermine si le logo Moodle ou le titre de page doit être affiché dans l\'entête';
$string['lblockcolumnbgc'] = 'Couleur de fond de la colonne de gauche';
$string['lblockcolumnbgcdesc'] = 'Ce réglage définit la couleur de fond de la colonne de gauche.';
$string['noframe'] = 'Apparence Formal white 1.9';
$string['noframedesc'] = 'Activez cette option si vous voulez que votre Moodle ait l\'aspect de Moodle 1.x, c\'est-à-dire sans cadre externe.';
$string['pluginname'] = 'Formal white';
$string['rblockcolumnbgc'] = 'Couleur de fond de la colonne de droite';
$string['rblockcolumnbgcdesc'] = 'Ce réglage définit la couleur de fond de la colonne de droite.';
$string['region-side-post'] = 'Droite';
$string['region-side-pre'] = 'Gauche';
