<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * German strings for nanogong
 *
 * @author     Detlef Anschlag, moodleSCHULE e.V. Germany
 * @author     Gibson
 * @package    mod
 * @subpackage nanogong
 * @copyright  2013 The Gong Project
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @version    4.2.3.2
 */

defined('MOODLE_INTERNAL') || die();

$string['modulename'] = 'NanoGong Sprachaktivität';
$string['modulenameplural'] = 'NanoGong Spracheingaben';
$string['modulename_help'] = 'Das NanoGong Sprachmodul ermöglicht Benutzern einen gesprochenen Beitrag aufzunehmen, anzuhören oder einzureichen. Beim Abspielen kann der Benutzer die Geschwindigkeit erhöhen oder verlangsamen ohne dass sich die Qualität verändert.';
$string['nanogongfieldset'] = 'Zeige Inhalte mit NanoGong';
$string['nanogongname'] = 'Name der NanoGong Sprachaktivität';
$string['nanogong'] = 'NanoGong Sprachbeitrag';
$string['pluginadministration'] = 'NanoGong Administration';
$string['pluginname'] = 'NanoGong Sprachaktivität';
$string['invalidid'] = 'Ungültige Nanogong ID';
$string['availabledate'] = 'bearbeitbar von';
$string['description'] = 'Beschreibung';
$string['duedate'] = 'Abgabedatum';
$string['maxgrade'] = 'Höchste Bewertung';
$string['maxduration'] = 'Dauer (Sek.)';
$string['maxduration_help'] = 'Maximale Dauer eines jeden Sprachbeitrags in Sekunden (1 - 1200)';
$string['maxdurationdetail'] = 'Maximale Dauer jeder Aufnahme (Sek)';
$string['maxnumber'] = 'Erlaubte Aufnahmen';
$string['maxnumber_help'] = 'Maximale Zahl der erlaubten Aufnahmen pro Schüler (0 bedeutet: kein Limit)';
$string['maxnumberdetail'] = 'Maximale Zahl der Aufnahmen';
$string['preventlate'] = 'Verhindere verspätete Abgaben';
$string['permission'] = 'Dürfen Aufnahmen anderer Teilnehmer angehört werde?';
$string['submission'] = 'Einreichung';
$string['grade'] = 'Bewertung';
$string['comment'] = 'Nachricht vom Lehrer zum Teilnehmer';
$string['edit'] = 'Klicke hier zur Bearbeitung';
$string['show'] = 'Zeige';
$string['submit'] = 'Absenden';
$string['insert'] = 'Gelöscht, klicke hier um es erneut einzufügen';
$string['add'] = 'Erstelle eine neue Aufnahme';
$string['delete'] = 'Lösche die ausgewählte Aufnahme';
$string['leavemessage'] = 'Erstelle / bearbeite eine Nachricht an den Lehrer';
$string['cancel'] = 'Abbrechen';
$string['yes'] = 'Ja';
$string['no'] = 'Nein';
$string['view'] = 'Ansehen';
$string['hide'] = 'Verbergen';
$string['backtolist'] = 'Zurück zur Teilnehmerliste';
$string['supplement'] = 'Nachricht';
$string['reverse'] = 'in umgekehrter cronologischer Reihenfolge';
$string['chronological'] = 'in chronologischer Reihenfolge';
$string['reversebutton'] = 'Ändere in umgekehrte cronologische Reihenfolge';
$string['chronologicalbutton'] = 'Ändere in die chronologische Reihenfolge';
$string['recording'] = 'Aufnahme';
$string['nanogong:view'] = 'View NanoGong voice';
$string['nanogong:submit'] = 'Submit NanoGong voice';
$string['nanogong:grade'] = 'Grade NanoGong voice';
$string['nanogongaudios'] = 'NanoGong Sprachaufnahmen';
$string['nanogongmessages'] = 'NanoGong Sprachnachrichten';
$string['tablename'] = 'Name';
$string['tableyourmessage'] = 'Liste der Aufnahmen';
$string['tablemessage'] = 'Ihre Aufnahmen';
$string['tablevoice'] = 'Sprach-Feedback des Lehrers';
$string['tablemodified'] = 'Zuletzt bearbeitet';
$string['modulenamefull'] = 'NanoGong Sprachaufnahme';
$string['nolimitation'] = 'Keine Begrenzung';
$string['voicetitle'] = 'Wie lautet der Titel der Aufnahme?';
$string['titlemax'] = '(30 Buchstaben max.)';
$string['voicerecording'] = 'Ihre Sprachaufnahmen';
$string['submitted'] = 'Eingereicht';
$string['gradedon'] = 'Modified on';
$string['instructions'] = 'Klicken Sie auf eine der Aufnahmen unten';
$string['checkdeletemessage'] = 'Sind Sie wirklich sicher, dass Sie diese Aufnahme löschen wollen?';
$string['checkdeletemessages'] = 'Sind Sie absolut sicher, dass Sie die ausgewählte(n) Aufnahme(n) löschen wollen?';
$string['inonepage'] = 'Teilnehmern auf einer Seite';
$string['recordinginonepage'] = 'Aufnahmen auf einer Seite';
$string['all'] = 'Alle';
$string['submiitedrecordings'] = 'Teilnehmer, die Sprachbeiträge eingereicht haben';
$string['gradedstudents'] = 'Wer hat Sprachbeiträge eingereicht, die bewertet wurden?';
$string['ungradedstudents'] = 'Wer hat Sprachbeiträge eingreicht, die noch nicht bewertet wurden?';
$string['studentsnosubmissions'] = 'Teilnehmer ohne eingereichte Sprachbeiträge';
$string['allstudents'] = 'Alle Teilnehmer';
$string['recordingtempname'] = 'Aufnahme ';
$string['otherrecording'] = 'Aufnahmen aller Teilnehmer';
$string['previouspage'] = 'Seite zurück';
$string['nextpage'] = 'Nächste Seite';
$string['listof'] = 'List of recordings for ';
$string['feedbackfor'] = 'Ihr Feedback für ';
$string['submissionintotal'] = ' Teilnehmer insgesamt';
$string['submissionsintotal'] = ' Teilnehmer insgesamt';
$string['thereis'] = 'Es gibt ';
$string['thereare'] = 'Es gibt ';
$string['submissionsfrom'] = 'Beitäge von ';
$string['thereareno'] = 'Es gibt keine ';
$string['voicerecorded'] = 'Ihre bisherigen Aufnahmen';
$string['timecreated'] = 'erstellt am ';
$string['title'] = 'Title';
$string['inuse'] = 'In Benutzung';
$string['messagefor'] = 'Nachricht an Ihren Lehrer (kann von anderen nicht eingesehen werden)';
$string['messagefrom'] = 'Nachricht des Teilnehmers an den Lehrer';
$string['page'] = 'Seite ';
$string['deletealertmessage'] = 'Bitte wählen Sie zuerst eine Aufnahme';
$string['student'] = 'Teilnehmer ';
$string['emptymessage'] = 'Es ist bisher noch nichts aufgenommen worden.';
$string['with'] = 'mit';
$string['allcategory'] = 'Teilnehmer total';
$string['submittedcategory'] = 'Teilnehmer, die Beiträge eingereicht haben';
$string['gradedcategory'] = 'Teilnehmer mit eingreichten Beiträgen, die bewertet wurden';
$string['ungradedcategory'] = 'Teilnehmer mit eingereichten Beiträgen, die noch nicht bewertet wurden';
$string['unsubmittedcategory'] = 'Teilnehmer ohne eingereichte Beiträge';
$string['allcategoryone'] = 'Teilnehmer total';
$string['submittedcategoryone'] = 'Teilnehmer, der einen Beitrag eingereicht hat';
$string['gradedcategoryone'] = 'Teilnehmer, dessen Beitrag (bzw.Beiträge) bewertet wurde(n)';
$string['ungradedcategoryone'] = 'Teilnehmer mit eingereichten Beiträgen, die noch nicht bewertet wurden';
$string['unsubmittedcategoryone'] = 'Teilnehmer ohne eingereichte Beiträge';
$string['notavailable'] = 'Das ist im Moment nicht möglich';
$string['changetorecordings'] = 'Zeige die Beiträge aller Teilnehmer in chronologischer Reihenfolge';
$string['changetostudents'] = 'Zeige die Beiträge aller Teilnehmer für die Eingabe von Feedback';
$string['requiredfield'] = 'In diesem Formular wurden die notwendigen Felder markiert';
$string['nofeeadback'] = 'Momentan gibt es noch kein Feedback Ihres Lehrers';
$string['notes'] = 'Notizen';
$string['submittedtime'] = 'Abgabezeit';
$string['feedbacktitle'] = 'Feedback des Lehrers';
$string['nosubmission'] = 'Keine Abgabe';
$string['loadcurrent'] = 'Lade gegenwärtiges Sprach-Feedback in diese Applet';
$string['yourmessage'] = 'Ihre Nachricht für den Teilnehmer';
$string['outof'] = ' von ';
$string['studentlist'] = 'Beiträge eines jeden Teilnehmers';
$string['wronggrade'] = 'Bitte geben Sie eine Zahl zwischen 0 und ';
$string['voicefeedback'] = 'Sprach-Feedback';
$string['commentmessage'] = 'Nachricht Ihres Lehrers';
$string['forentering'] = 'um Feedback einzugeben';
$string['messagearea'] = 'Ihre Nachricht für den Lehrer';
$string['imgtitle'] = 'Zeige/verberge den NanoGong Player mit Klick auf diese Ikone';
$string['servererror'] = 'Es gibt ein Problem beim Senden des Beitrags zum Server. Bitte versuchen Sie es später noch einmal oder informieren Sie den Administrator!';
$string['showdeleteboxes'] = 'Klicken Sie hier um die Aufnahme zu löschen';
$string['isdelete'] = 'Löschen?';
$string['deleterecordings'] = 'Lösche die ausgewählten Beiträge';
$string['lockstudent'] = 'Sperre diesen Teilnehmer für weitere Veränderungen';
$string['submissionlocked'] = 'Dieser Beitrag wurde für weitere Änderungen gesperrt';

?>
