<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Local language pack from http://www.jaffredo.eu/etudier
 *
 * @author     Sébastien Jaffrédo
 * @package    mod
 * @subpackage nanogong
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['add'] = '新しい録音を追加する';
$string['all'] = 'すべて';
$string['allcategory'] = '受講生(全員のうち)';
$string['allcategoryone'] = '受講生(全員のうち)';
$string['allstudents'] = 'すべての受講生';
$string['availabledate'] = '開始日時';
$string['backtolist'] = '受講生リストに戻る';
$string['cancel'] = 'キャンセルする';
$string['changetorecordings'] = 'すべての受講生の録音を提出された順番に表示する';
$string['changetostudents'] = '各受講生の録音を表示してコメントを書く';
$string['checkdeletemessage'] = '本当にこの録音を消去しますか？';
$string['checkdeletemessages'] = '選択した録音を本当に消去しますか？';
$string['chronological'] = '録音を古い順に表示';
$string['chronologicalbutton'] = '録音を古い順に並び替える';
$string['comment'] = '担当教師から受講生へのメッセージ';
$string['commentmessage'] = '担当教師からのメッセージ';
$string['delete'] = '選択した録音を消去する';
$string['deletealertmessage'] = '録音を選択してください';
$string['deleterecordings'] = '選択した複数の録音を消去する';
$string['description'] = '概要';
$string['duedate'] = '提出日';
$string['edit'] = 'ここをクリックして変更する';
$string['emptymessage'] = '録音はまだありません';
$string['feedbackfor'] = 'コメントを送る相手';
$string['feedbacktitle'] = '担当教師からのコメント';
$string['forentering'] = 'コメントを記入するには';
$string['grade'] = '得点';
$string['gradedcategory'] = '送信した録音が採点されたすべての受講生';
$string['gradedcategoryone'] = '送信した録音が採点された受講生';
$string['gradedon'] = '採点日';
$string['gradedstudents'] = '録音が採点された受講生';
$string['hide'] = '隠す';
$string['imgtitle'] = 'このアイコンをクリックしてプレイヤーを表示する/隠す';
$string['inonepage'] = '受講生を1ページに表示する';
$string['insert'] = '消去済み、復元するにはここをクリック';
$string['instructions'] = '以下の1つまたはすべての録音をクリックしてください';
$string['inuse'] = '使用中';
$string['invalidid'] = '無効のNanogong ID';
$string['isdelete'] = '消去しますか？';
$string['leavemessage'] = '担当講師へのメッセージを追加/変更する';
$string['listof'] = '録音リスト';
$string['loadcurrent'] = 'このアプレットに最新のボイスコメントをダウンロードする';
$string['lockstudent'] = 'この受講生をロックする';
$string['maxduration'] = '録音時間(秒)';
$string['maxdurationdetail'] = '各録音の最長時間(秒)';
$string['maxduration_help'] = '録音の最長時間(秒)(1-1200)';
$string['maxgrade'] = '最高得点';
$string['maxnumber'] = '録音ファイルの数';
$string['maxnumberdetail'] = '録音ファイルの数';
$string['maxnumber_help'] = '各受講生による、異なる録音の最大数 (0=無制限)';
$string['messagearea'] = '担当教師へのメッセージ';
$string['messagefor'] = '担当教師へのメッセージ(他の受講生には見えません)';
$string['messagefrom'] = '受講生から担当教師へのメッセージ';
$string['modulename'] = '口頭練習';
$string['modulenamefull'] = '口頭表現問題';
$string['modulenameplural'] = 'Nanogong　口頭練習';
$string['modulename_help'] = 'Nanogongnoの録音モジュールを使って、参加者は録音、自身の録音の再生、その投稿ができます。再生時にユーザーは、録音内容を変更することなく再生のスピードを調整することができます。';
$string['nanogong'] = 'Nanogong　録音';
$string['nanogong:grade'] = 'この録音を採点する';
$string['nanogong:submit'] = 'この録音を送信する';
$string['nanogong:view'] = 'この録音を表示する';
$string['nanogongaudios'] = '録音';
$string['nanogongfieldset'] = '録音と内容を表示する';
$string['nanogongmessages'] = 'Nanogong ボイスメッセージ';
$string['nanogongname'] = 'この練習問題の名称';
$string['nextpage'] = '次のページ';
$string['no'] = 'いいえ';
$string['nofeeadback'] = '担当講師からのメッセージはありません';
$string['nolimitation'] = '制限はありません';
$string['nosubmission'] = '送信された録音はありません';
$string['notavailable'] = '現在使用できません';
$string['notes'] = '注';
$string['otherrecording'] = 'すべての受講生の録音';
$string['outof'] = '中';
$string['page'] = 'ページ';
$string['permission'] = '受講生は他の受講生の録音を聞くことができますか？';
$string['pluginadministration'] = 'Nanogong の管理';
$string['pluginname'] = 'Nanogong';
$string['preventlate'] = '提出日以降の送信を阻止する';
$string['previouspage'] = '前のページ';
$string['recording'] = '録音';
$string['recordinginonepage'] = 'すべての録音を1ページに表示する';
$string['recordingtempname'] = '録音';
$string['requiredfield'] = '必須欄';
$string['reverse'] = '新しい順に録音を表示';
$string['reversebutton'] = '新しい順に録音を並び替える';
$string['servererror'] = 'サーバーへの録音送信に問題があります。時間をおいてまた送信してください。';
$string['show'] = '表示する';
$string['showdeleteboxes'] = 'ここをクリックして消去したい録音を表示する';
$string['student'] = '受講生';
$string['studentlist'] = '各受講生の録音';
$string['studentsnosubmissions'] = '録音を送信していない受講生';
$string['submiitedrecordings'] = '1つの録音を送信した受講生';
$string['submission'] = '送信';
$string['submissionintotal'] = '受講生(全員のうち)';
$string['submissionlocked'] = 'この受講生はロックされているので、変更することができません';
$string['submissionsfrom'] = '録音の送信者enregistrements déposés par';
$string['submissionsintotal'] = '受講生(全員のうち)';
$string['submit'] = '送信する';
$string['submitted'] = '送信済み';
$string['submittedcategory'] = '1つの録音を送信したすべての受講生';
$string['submittedcategoryone'] = '1つの録音を送信した受講生';
$string['submittedtime'] = '送信時間';
$string['supplement'] = 'メッセージ';
$string['tablemessage'] = 'あなたの録音';
$string['tablemodified'] = '最終変更';
$string['tablename'] = '名称';
$string['tablevoice'] = '担当講師のボイスコメント';
$string['tableyourmessage'] = '録音リスト';
$string['thereare'] = '受講生の録音';
$string['thereareno'] = '録音はありません';
$string['thereis'] = '受講生の録音';
$string['timecreated'] = '録音された時間';
$string['title'] = 'タイトル';
$string['titlemax'] = '(最大30字)';
$string['ungradedcategory'] = '録音を送信し、まだ採点されていないすべての受講生';
$string['ungradedcategoryone'] = '録音を送信し、まだ採点されていない受講生';
$string['ungradedstudents'] = '録音送信後、まだ採点が行われていません';
$string['unsubmittedcategory'] = '何も送信していないすべての受講生';
$string['unsubmittedcategoryone'] = '何も送信していない受講生';
$string['view'] = '表示する';
$string['voicefeedback'] = 'ボイスコメント';
$string['voicerecorded'] = 'あなたの録音履歴';
$string['voicerecording'] = 'あなたの録音';
$string['voicetitle'] = '録音の題名は何ですか？';
$string['with'] = '表示数';
$string['wronggrade'] = '数字を入力してください：0から';
$string['yes'] = 'はい';
$string['yourmessage'] = 'はい';
