<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Simplified Chinese strings for nanogong
 *
 * @author     Ning
 * @author     Gibson
 * @package    mod
 * @subpackage nanogong
 * @copyright  2012 The Gong Project
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @version    4.2.2
 */

defined('MOODLE_INTERNAL') || die();

$string['modulename'] = 'NanoGong语音活动';
$string['modulenameplural'] = 'NanoGong语音';
$string['modulename_help'] = 'NanoGong语音活动允许参与者录音播放以及提交他们的声音. 当录音被回放, 用户可以加快或放慢速度.';
$string['nanogongfieldset'] = '显示带有NanoGong语音的内容';
$string['nanogongname'] = 'NanoGong语音活动名称';
$string['nanogong'] = 'NanoGong语音';
$string['pluginadministration'] = 'NanoGong语音管理';
$string['pluginname'] = 'NanoGong语音';

$string['availabledate'] = '开始时间';
$string['description'] = '描述';
$string['duedate'] = '结束时间';
$string['maxgrade'] = '满分';
$string['maxduration'] = '持续时间 (秒)';
$string['maxduration_help'] = '最大可设的持续时间：1 - 1200 秒';
$string['maxdurationdetail'] = '每段录音允许的最大持续时间 (秒)';
$string['maxnumber'] = '允许的录音数量';
$string['maxnumber_help'] = '每个学生最多课录制的语音数量 (0代表没有限制)';
$string['maxnumberdetail'] = '最多录制的语音数量';
$string['preventlate'] = '是否阻止晚提交?';
$string['permission'] = '学生是否可以播放其他学生提交的语音?';

$string['submission'] = '提交的语音';
$string['grade'] = '分数';
$string['comment'] = '老师给学生的评语';
$string['edit'] = '点击进行编辑';
$string['show'] = '显示';
$string['submit'] = '提交';
$string['insert'] = '已删除，点击重新插入到提交列表中';
$string['add'] = '添加新的语音';
$string['delete'] = '删除所选的语音';
$string['leavemessage'] = '添加/编辑给老师的留言';
$string['cancel'] = '取消';
$string['yes'] = '是';
$string['no'] = '否';
$string['view'] = '查看';
$string['hide'] = '隐藏';
$string['backtolist'] = '回到学生列表';
$string['supplement'] = '消息';
$string['reverse'] = '按反向时间顺序';
$string['chronological'] = '按时间顺序';
$string['reversebutton'] = '更改为反向时间顺序';
$string['chronologicalbutton'] = '更改为时间顺序';
$string['recording'] = '语音';

$string['nanogong:view'] = '查看NanoGong语音';
$string['nanogong:submit'] = '提交NanoGong语音';
$string['nanogong:grade'] = '评分NanoGong语音';

$string['nanogongaudios'] = 'NanoGong语音';
$string['nanogongmessages'] = 'NanoGong语音消息';

$string['tablename'] = '名字';
$string['tableyourmessage'] = '语音列表';
$string['tablemessage'] = '你的语音';
$string['tablevoice'] = '来自老师的语音反馈';
$string['tablemodified'] = '最后修改';

$string['modulenamefull'] = 'NanoGong语音';
$string['nolimitation'] = '没有限制';
$string['voicetitle'] = '你的语音的主题是什么?';
$string['titlemax'] = '(最多30个字符)';
$string['voicerecording'] = '你的语音';
$string['submitted'] = '提交于';
$string['gradedon'] = '修改于';
$string['instructions'] = '点击下列语音';
$string['checkdeletemessage'] = '你确定你要删除这份语音吗?';
$string['checkdeletemessages'] = '你确定你要删除所选的语音吗?';
$string['inonepage'] = '个学生在一页';
$string['recordinginonepage'] = '个语音在一页';
$string['all'] = '所有';
$string['submiitedrecordings'] = '学生已经提交语音';
$string['gradedstudents'] = '学生已经提交语音并且被评分';
$string['ungradedstudents'] = '学生已经提交语音并且未被评分';
$string['studentsnosubmissions'] = '学生没有提交语音';
$string['allstudents'] = '所有学生';
$string['recordingtempname'] = '语音';
$string['otherrecording'] = '所有学生的语音';
$string['previouspage'] = '上一页';
$string['nextpage'] = '下一页';
$string['listof'] = '语音列表: ';
$string['feedbackfor'] = '你的反馈关于';
$string['submissionintotal'] = '学生总共';
$string['submissionsintotal'] = '学生总共';
$string['thereis'] = '有';
$string['thereare'] = '有';
$string['submissionsfrom'] = '提交的语音来自于';
$string['thereareno'] = '没有';
$string['voicerecorded'] = '你的语音记录';
$string['timecreated'] = '创建时间';
$string['title'] = '标题';
$string['inuse'] = '使用中';
$string['messagefor'] = '给你老师的留言(不会被别人看见)';
$string['messagefrom'] = '学生给老师的留言';
$string['page'] = '页';
$string['deletealertmessage'] = '请先选择语音';
$string['student'] = '学生';
$string['emptymessage'] = '还没有录制任何语音.';
$string['with'] = '并且';
$string['allcategory'] = '个学生总共';
$string['submittedcategory'] = '个学生已经提交语音';
$string['gradedcategory'] = '个学生已经提交语音并且被评分';
$string['ungradedcategory'] = '个学生已经提交语音并且未被评分';
$string['unsubmittedcategory'] = '个学生没有提交语音';
$string['allcategoryone'] = '个学生总共';
$string['submittedcategoryone'] = '个学生已经提交语音';
$string['gradedcategoryone'] = '个学生已经提交语音并且被评分';
$string['ungradedcategoryone'] = '个学生已经提交语音并且未被评分';
$string['unsubmittedcategoryone'] = '个学生没有提交语音';
$string['notavailable'] = '目前无法提供语音活动.';
$string['changetorecordings'] = '显示所有学生的语音按时间顺序';
$string['changetostudents'] = '显示每个学生的语音以输入反馈';
$string['requiredfield'] = '有必须填写的字段标记';
$string['nofeeadback'] = '当前没有来自于你老师的反馈';
$string['notes'] = '标注';
$string['submittedtime'] = '提交时间';
$string['feedbacktitle'] = '老师的反馈';
$string['nosubmission'] = '没有提交';
$string['loadcurrent'] = '加载当前的语音反馈到这个小程序中';
$string['yourmessage'] = '你给学生的评语';
$string['outof'] = ' / ';
$string['studentlist'] = '每个学生的语音';
$string['wronggrade'] = '请输入数字在0到';
$string['voicefeedback'] = '语音反馈';
$string['commentmessage'] = '来自你的老师的评语';
$string['forentering'] = '以输入反馈';
$string['messagearea'] = '你给老师的留言';
$string['imgtitle'] = '点击此图示可显示或隐藏NanoGong语音讯息';
$string['servererror'] = '未能传送语音讯息，请稍后再试！';
$string['showdeleteboxes'] = '点击这里选择你要删除的语音';
$string['isdelete'] = '删除?';
$string['deleterecordings'] = '删除所选的语音';
$string['lockstudent'] = '锁上这名学生以防止进一步的修改';
$string['submissionlocked'] = '此提交已被锁上';

?>
